<p>title: Menangkap Data Dari Form
description:</p>
<hr />
<p>Untuk menangkap sebuah data biasanya data tersebut akan di sampaikan dan ditransfer terlebih dahulu ke halaman web yang sama ataupun berbeda, dengan menggunakan fungsi metode POST dan GET, jadi pada saat kita mengakses form yang dibentuk oleh html dan mengisi data tersebut data akan dikirimkan oleh php.</p>
<p>Kedua metode tersebut sebenarnya memiliki tujuan yang sama yaitu mengirim atau menyampaikan data, perbedaannya terletak pada cara mengirimkan data yang telah diterima. Jika metode GET menampilkan nilai data pada url untuk mengirimkan data, maka metode POST menyembunyikan nilai data tersebut pada url.</p>
<p>Form mengirimkan informasi dengan cara menambahkan data pada url dalam bentuk string Query yang terdiri dari <code>nama_data=nilai_data</code> secara berpasangan. String ini mengandung nama dan nilai data, yang di-pisah dengan ampersand <code>&amp;</code>, sedangkan jika data mengandung spasi maka akan di pisah dengan tanda plus <code>+</code>.</p>
<p>Jika dipetakan lebih rinci, maka perbedaan kedua metode di atas adalah.</p>
<p><strong>Metode POST</strong></p>
<ul>
<li>Menyembunyikan variabel pada URL</li>
<li>Lebih aman</li>
<li>Tidak ada batasan panjang string</li>
<li>Menggunakan <code>$_POST</code> dalam pengambilan variabel</li>
<li>Lebih sering digunakan pada input data melalui form</li>
<li>Penggunaan pada data-data penting seperti password</li>
</ul>
<p><strong>Metode GET</strong></p>
<ul>
<li>Menampilkan variabel pada URL</li>
<li>Kurang aman</li>
<li>batasan panjang string sampai 2047 karakter</li>
<li>Menggunakan <code>$_GET</code> dalam pengambilan variabel</li>
<li>Lebih sering digunakan untuk input data melalui link</li>
<li>Penggunaan pada data-data yang kurang penting</li>
</ul>